package cribbage;

import java.util.ArrayList;
import java.util.Collections;

public class Deck {
    private ArrayList<Card> cards;
    private int dealt;
    
    public Deck() {
        cards = new ArrayList<Card>();
        for(Card.Suit s : Card.Suit.values()) {
            for(Card.Face f : Card.Face.values()) {
                cards.add(new Card(s,f));
            }
        }
        Collections.shuffle(cards);
        dealt = 0;
    }
    
    public void shuffle() {
        Collections.shuffle(cards);
        dealt = 0;
    }
    
    public Card deal() {
        if(dealt < cards.size()) {
            Card c = cards.get(dealt);
            dealt++;
            return c;
        }
        return null;
    }
    
    public static void main(String[] args) {
        Deck d = new Deck();
        System.out.println("First Hand");
        for(int n = 0;n < 6;n++)
            System.out.println(d.deal());
        System.out.println("Second Hand");
        for(int n = 0;n < 6;n++)
            System.out.println(d.deal());
        
        d.shuffle();
        System.out.println("Shuffle");
        System.out.println("First Hand");
        for(int n = 0;n < 6;n++)
            System.out.println(d.deal());
        System.out.println("Second Hand");
        for(int n = 0;n < 6;n++)
            System.out.println(d.deal());
    }
}
