package cribbage.scoring;

import cribbage.Card;
import java.util.List;

public class FlushScorer implements Scorer {

    @Override
    public int score(List<Card> cards) {
        if(cards.size() < 4)
            return 0;
        
        Card.Suit s = cards.getFirst().getSuit();
        for(Card c : cards) {
            if(c.getSuit() != s)
                return 0;
        }
        if(cards.size() == 5)
            return 5;
        return 4;
    }

    @Override
    public String what() {
        return "Flush";
    }
    
}
